## hyprpolkitagent 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Get version
file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} VER)

project(hpa VERSION ${VER} LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.5 REQUIRED COMPONENTS Widgets Quick QuickControls2)
find_package(PkgConfig REQUIRED)
set(CMAKE_CXX_STANDARD 23)

pkg_check_modules(
  deps
  REQUIRED
  IMPORTED_TARGET
  hyprutils
  polkit-agent-1
  polkit-qt6-1)

qt_standard_project_setup(REQUIRES 6.5)

qt_add_executable(hyprpolkitagent
    src/main.cpp
    src/core/Agent.cpp
    src/core/Agent.hpp
    src/core/PolkitListener.hpp
    src/core/PolkitListener.cpp
    src/QMLIntegration.cpp
    src/QMLIntegration.hpp
)

qt_add_qml_module(hyprpolkitagent
    URI hpa
    VERSION 1.0
    QML_FILES
        qml/main.qml
    SOURCES
        src/QMLIntegration.cpp
        src/QMLIntegration.hpp
)

target_link_libraries(hyprpolkitagent
    PRIVATE Qt6::Widgets Qt6::Quick Qt6::Gui Qt6::QuickControls2 PkgConfig::deps
)

include(GNUInstallDirs)

set(LIBEXECDIR ${CMAKE_INSTALL_FULL_LIBEXECDIR})
configure_file(assets/hyprpolkitagent-service.in hyprpolkitagent.service @ONLY)
configure_file(assets/hyprpolkitagent-dbus.in hyprpolkitagent-dbus.service @ONLY)

install(TARGETS hyprpolkitagent 
        DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
install(FILES ${CMAKE_BINARY_DIR}/hyprpolkitagent.service
        DESTINATION "lib/systemd/user")
install(FILES ${CMAKE_BINARY_DIR}/hyprpolkitagent-dbus.service
        DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services
        RENAME org.hyprland.hyprpolkitagent.service)

=== debian/changelog ===
hyprpolkitagent (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1117493)

 -- Carl Keinath <carl.keinath@gmail.com>  Thu, 23 Oct 2025 19:32:12 +0200

=== debian/control ===
Source: hyprpolkitagent
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libhyprutils-dev,
 libpolkit-qt6-1-dev,
 libpolkit-agent-1-dev,
 qt6-base-dev,
 qt6-declarative-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprpolkitagent
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprpolkitagent
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprpolkitagent.git

Package: hyprpolkitagent
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 qml6-module-org-hyprland-style,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-templates,
 qml6-module-qtqml-workerscript,
Description: polkit authentication agent Hyprland
 PolicyKit authentication agent written in Qt and QML for
 Hyprland, providing GUI dialogs for privilege elevation.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hyprwm
Project: hyprpolkitagent
